// ***************************************************************************************************
// ***************************************************************************************************
//  RELIGHTING FRAMEWORK v0.10
//  Sebastian Enrique - senrique@cs.columbia.edu
//  Columbia University
//  January 2004
// ***************************************************************************************************
//  Image.cpp implementation of abstract image class
// ***************************************************************************************************

// Image.cpp: implementation of the Image class.
//
//////////////////////////////////////////////////////////////////////

#include "Image.h"


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
Image::Image() : width(0), height(0), data(NULL) 
{
}

Image::~Image()
{
	if (data != NULL) {
		delete data;
		data = NULL;
		width = 0;
		height = 0;
	}
}


//////////////////////////////////////////////////////////////////////
// Projectors
//////////////////////////////////////////////////////////////////////
int Image::getWidth() {return width;}
int Image::getHeight() {return height;}
int Image::getBitDepth() {return 8;}
unsigned char* Image::getData() {return data;}


// ***************************************************************************************************
// ***************************************************************************************************
