// ***************************************************************************************************
// ***************************************************************************************************
//  RELIGHTING FRAMEWORK v0.10
//  Sebastian Enrique - senrique@cs.columbia.edu
//  Columbia University
//  January 2004
// ***************************************************************************************************
//  Header File for Image.cpp
// ***************************************************************************************************

// Image.h: interface for the Image class.
//
// Base class for images stored in RGBA order
// When writting and reading, R and G often have to be switched
// This switching is cheap enough that it's worth the standardization
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGE_H__A449F1F2_5D0D_4556_8808_0451CB0E1A35__INCLUDED_)
#define AFX_IMAGE_H__A449F1F2_5D0D_4556_8808_0451CB0E1A35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <windows.h>
#include <gl\gl.h>												// Header File For The OpenGL32 Library
#include <gl\glu.h>												// Header File For The GLu32 Library
#include <gl\glaux.h>											// Header File For The GLaux Library


class Image  
{
protected:
	unsigned int textureID;
	GLenum imageType;
	int width;
	int height;
	//kept in rgba
	
public:
	unsigned char* data;

	Image();
	virtual ~Image();

	int getWidth();
	int getHeight();
	int getBitDepth();
	unsigned char* getData();

	//These must be implemented for each type of image (i.e. TGA, DDS, JPG...)
	//Save the image to filename.  Requires generating proper header
	void save(char* filename) {};
	//fill the image data from the GL framebuffer using glReadPixels
	void open();
	//fill the image data from the file filename
	void open(char* filename) {};
};

#endif // !defined(AFX_IMAGE_H__A449F1F2_5D0D_4556_8808_0451CB0E1A35__INCLUDED_)

// ***************************************************************************************************
// ***************************************************************************************************
